<?php

namespace App\Admin\Actions\Grid;

use Dcat\Admin\Form\AbstractTool;
use Dcat\Admin\Widgets\Modal;

class WithdrawReview extends AbstractTool
{
    /**
     * @return string
     */
    protected $title = '提现审核';

    protected $model;

    public function __construct(string $model = null, $id = 0, $status = 0)
    {
        $this->model  = $model;
        $this->title  = '<i class="feather icon-check-square"></i> ' . $this->title;
        $this->id     = $id;
        $this->status = $status;
    }

    public function render()
    {
        $form = \App\Admin\Actions\Form\WithdrawReview::make()->payload(['id' => $this->id, 'status' => $this->status]);

        return Modal::make()
            ->lg()
            ->title($this->title)
            ->body($form)
            ->button($this->title);
    }
}
